Bug 354055

Summary: system freeze when trying to send email via ctrl + return with "spellcheck before send" activated
Product: [Applications] kmail2 Reporter: orelie
Component: composerAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: crash CC: auxsvr, ch.mercesmoreira, stephan.diestelhorst
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Archlinux   
OS: Linux   
Latest Commit: Version Fixed In: 5.4.0

Description orelie 2015-10-18 18:45:19 UTC
Kmail freezes the whole plasma system if all  following requirements are met at the same time:

1. activated spell checking before send
2. ctrl + return used to send the email
3. email contains spelling mistakes

If I click the "send" button everything will work
If I disable the "spell check before send" (don't know the correct translation) everything will work
If I don't have spelling mistakes everything will work
(Which is a description of: all the following requirements...)

It seems to be related to the spell checking mechanism since kmail freezes after I close the spell check window.
Manual spell checking works (same as "spell check before send" when clicking the button)

Removing the kmail2rc doesnt change anything.

Are there any logs? Journalctl doens't seem to contain relevant information.

Reproducible: Always
Comment 1 orelie 2015-10-19 16:32:00 UTC
Forgot the version information (Arch package):

kmail 15.08.2-2
plasma-workspace 5.4.2-2
plasma-framework 5.15.0-1
aspell-de 20131206-1
aspell 0.60.6.1-3

kmail - help - version (freely translated):
Version 5.0.2
KDE Frameworks 5.15.0
Qt 5.5.0, compiled against 5.5.0)
The xcbWindow system
Comment 2 Stephan Diestelhorst 2016-03-29 19:08:28 UTC
I think I have a similar issue, I have checked "confirm before send" and am enforcing a spell check, too via "Check spelling before sending".

I have created a small video showing the state of affairs: https://www.youtube.com/watch?v=Bg_JF5FLhac

Versions:
Kmail Version 5.0.2
Using:
KDE Frameworks 5.15.0
Qt 5.4.2 (built against 5.4.2)
The xcb windowing system

$ apt-cache policy kmail
kmail:
  Installed: 4:15.08.2-0ubuntu1
  Candidate: 4:15.08.2-0ubuntu1
$ cat /etc/*release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=15.10
DISTRIB_CODENAME=wily
DISTRIB_DESCRIPTION="Ubuntu 15.10"
NAME="Ubuntu"
VERSION="15.10 (Wily Werewolf)"
Comment 3 auxsvr 2016-06-21 11:08:35 UTC
I'm having the same problem using kontact5-16.04.2. The problem apparently is that window focus is on the spell-checker window, while the "send email" dialog box appears above it with keyboard focus. I once managed to click the send button by keeping it pressed for a long time, but in general the session is frozen during this issue, Xorg and kwin consume lots of CPU time, and the input during the time the session is frozen is replayed after it is resumed.
Comment 4 Carlos Henrique Merces Moreira 2016-11-16 20:49:49 UTC
I confirm this bug is happening on KMail 5.3.3(KDE Frameworks 5.27.0, Qt 5.7.0, window system xcb), to reproduce this bug you need to activate the options "Check spelling before sending" and "confirm before send" as Stephan Diestelhorst said in [2].
Comment 5 Laurent Montel 2016-11-17 21:51:45 UTC
Git commit c223fb2edeaa374b2f7de6ab1c962e1817900f6b by Montel Laurent.
Committed on 17/11/2016 at 21:51.
Pushed by mlaurent into branch 'Applications/16.12'.

Fix Bug 354055 - system freeze when trying to send email via ctrl + return with "spellcheck before send" activated

FIXED-IN: 5.4.0

M  +6    -1    src/editor/kmcomposerwin.cpp
M  +1    -0    src/editor/kmcomposerwin.h

http://commits.kde.org/kmail/c223fb2edeaa374b2f7de6ab1c962e1817900f6b